## openbsc 1.3.2

=== manuals/OsmoBSCMGCP/Makefile ===
OSMO_GSM_MANUALS_DIR := $(shell ../osmo-gsm-manuals-dir.sh)
srcdir=$(CURDIR)

VTY_REFERENCE = osmo-bsc-mgcp-vty-reference.xml
include $(OSMO_GSM_MANUALS_DIR)/build/Makefile.vty-reference.inc

include $(OSMO_GSM_MANUALS_DIR)/build/Makefile.common.inc

=== manuals/OsmoBSCNAT/Makefile ===
OSMO_GSM_MANUALS_DIR := $(shell ../osmo-gsm-manuals-dir.sh)
srcdir=$(CURDIR)

VTY_REFERENCE = osmo-bsc-nat-vty-reference.xml
include $(OSMO_GSM_MANUALS_DIR)/build/Makefile.vty-reference.inc

include $(OSMO_GSM_MANUALS_DIR)/build/Makefile.common.inc

=== manuals/OsmoNITB/Makefile ===
OSMO_GSM_MANUALS_DIR := $(shell ../osmo-gsm-manuals-dir.sh)
srcdir=$(CURDIR)

ASCIIDOC = osmonitb-usermanual.adoc
ASCIIDOC_DEPS = $(srcdir)/chapters/*.adoc
include $(OSMO_GSM_MANUALS_DIR)/build/Makefile.asciidoc.inc

VTY_REFERENCE = osmonitb-vty-reference.xml
include $(OSMO_GSM_MANUALS_DIR)/build/Makefile.vty-reference.inc

include $(OSMO_GSM_MANUALS_DIR)/build/Makefile.common.inc

## openbsc 0.15.0

=== debian/changelog ===
openbsc (0.15.0-3) unstable; urgency=medium

  * debian/control: add myself to uploaders
  * debian/control: move package to debian-mobcom and change URLs
  * debian/control: change maintainer to debian-mobcom-maintainers
  * debian/control: use dh10
  * debian/control: bump standard to 4.1.2 (no changes)
  * debian/control: remove obsolete dependency on dh-autoreconf
  * debian/watch: update file
  * add dbi.patch (Closes: #880233)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 07 Dec 2017 18:52:59 +0100

openbsc (0.15.0-2) unstable; urgency=medium

  * debian/control:
    - Versioned build-dependency on libdbd-sqlite3
      Fixes failing "db" test case on several architectures
      (Closes: #818567)
    - Versioned build-dependency on libosmocore-dev
      Fixes failing "gsm0408" test case on big-endian architectures
      (Closes: #818566)
    - Standards-Version 3.9.8 - no changes
  * debian/rules:
    - Print test results in case of error

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 13 May 2016 22:30:39 +0200

openbsc (0.15.0-1) unstable; urgency=low

  * Initial release (Closes: #806583)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 20 Feb 2016 18:21:53 +0100

=== debian/control ===
Source: openbsc
Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
         , Thorsten Alteholz <debian@alteholz.de>
Section: net
Priority: optional
Build-Depends: debhelper (>= 10),
               pkg-config,
               libgtp-dev,
               libosmocore-dev (>= 0.9.0-5),
               libosmo-sccp-dev,
               libdbi-dev,
               libosmo-abis-dev,
               libosmo-netif-dev,
               libdbd-sqlite3 (>= 0.9.0-4),
               libpcap-dev,
               libgnutls28-dev,
               libc-ares-dev,
               libsmpp34-dev,
               txt2man
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/debian-mobcom/openbsc.git
Vcs-Git: https://anonscm.debian.org/git/debian-mobcom/openbsc.git
Homepage: http://openbsc.osmocom.org/

Package: osmocom-bsc
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GSM Base Station Controller
 This is the BSC-only version of OpenBSC. It requires a Mobile Switching Center
 (MSC) to operate.
 .
 You might rather prefer to use osmocom-nitb which is considered a
 "GSM Network-in-a-Box" and does not depend on a MSC.

Package: osmocom-nitb
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libdbd-sqlite3
Description: GSM Network-in-a-Box, implements BSC, MSC, SMSC, HLR, VLR
 This is the Network-in-a-Box version of OpenBSC. It has all the GSM network
 components bundled together. When using osmocom-nitb, there is no need for a
 Mobile Switching Center (MSC) which is needed when using osmocom-bsc.

Package: osmocom-ipaccess-utils
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Command line utilities for ip.access nanoBTS
 This package contains utilities that are specific for nanoBTS when being used
 together with OpenBSC. It contains mainly three tools: ipaccess-find,
 ipaccess-config and ipaccess-proxy.

Package: osmocom-bs11-utils
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Command line utilities for Siemens BS-11 BTS
 There is a tool in this package for configuring the Siemens BS-11 BTS.
 Additionally, it contains one tool for making use of an ISDN-card and the
 public telephone network as frequency standard for the E1 line.

Package: osmocom-sgsn
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: osmocom-bsc
Description: Osmocom Serving GPRS Support Node
 This is an implementation of the GPRS Serving GPRS Support Node (SGSN). As
 such it implements the GPRS Mobility Management (GMM) and SM (Session
 Management).
 .
 The SGSN connects via the Gb-interface to the BSS (like the osmo-pcu or an
 ip.access nanoBTS), and it connects via the GTP protocol to a Gateway GPRS
 Support Node (GGSN) like openggsn.

Package: osmocom-gbproxy
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: osmocom-sgsn
Description: Osmocom GPRS Gb Interface Proxy
 The purpose of the Gb proxy is to aggregate the Gb links of multiple
 BSS's and present them in one Gb link to the SGSN.
 .
 This package is part of OpenBSC and closely related to osmocom-sgsn.

Package: osmocom-bsc-nat
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: osmocom-bsc
Description: Osmocom Base Station Controller Network Address Translation
 This NAT is useful for masquerading multiple BSCs behind one. It listens
 for incoming BSCs on port 5000 and connects to a specified Mobile Switching
 Center (MSC).
 .
 This package is part of OpenBSC and closely related to osmocom-bsc.

Package: openbsc-dev
Architecture: all
Depends: ${misc:Depends}
Description: Header file needed by tools tightly integrated
 Some other programs depend on gsm_data_shared.h and gsm_data_shared.c
 from OpenBSC. This package installs these files to your file system so
 that the other packages can build-depend on this package.
 .
 The header file is installed to /usr/include/osmocom/openbsc, while
 the .c file is installed to /usr/src/osmocom/openbsc.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DEBIAN  := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)
DEBVERS := $(shell echo '$(DEBIAN)' | cut -d- -f1)
VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/[+-].*//' -e 's/~//g')

CHANGELOG_DATE ?= $(shell LC_ALL=C date -u -d "`dpkg-parsechangelog --show-field Date`" +"%d %B %Y")

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=openbsc --with autoreconf

override_dh_auto_configure:
	dh_auto_configure --sourcedirectory=openbsc -- --enable-nat --enable-osmo-bsc --enable-smpp

override_dh_clean:
	$(RM) openbsc/.version openbsc/tests/package.m4 openbsc/tests/testsuite
	dh_clean
	$(RM) debian/man/*.1

override_dh_installman:
	cd debian/man ; CHANGELOG_DATE="$(CHANGELOG_DATE)" ./genmanpages.sh
	dh_installman

# Print test results in case of a failure
override_dh_auto_test:
	dh_auto_test || (find . -name testsuite.log -exec cat {} \; ; false)

=== debian/watch ===
version=4
opts="mode=git, dversionmangle=s/\+ds//" https://git.osmocom.org/openbsc refs/tags/([\d\.]+) debian uupdate

## openbsc 0.15.1.20170825

=== debian/changelog ===
openbsc (0.15.1.20170825) UNRELEASED; urgency=medium

  * Move forward toward a new release.
  * Prevent SGSN starting with 'auth-policy remote' when no 'gsup remote-*' are configured.
    Note: such configs are broken without extra workarounds anyway.
  * Snapshot build

 -- Holger Hans Peter Freyther <holger@moiji-mobile.com>  Fri, 25 Aug 2017 21:48:40 +0200

openbsc (0.14.0) unstable; urgency=low

  * New upstream tag and additional patches.

 -- Holger Hans Peter Freyther <holger@freyther.de>  Sat, 14 Mar 2015 20:33:25 +0100

openbsc (0.12.0+git26-7) unstable; urgency=low

  * 64bit fix for the MGCP rewriting

 -- Holger Hans Peter Freyther <holger@freyther.de>  Wed, 07 Nov 2012 11:39:34 +0100

openbsc (0.12.0+git26-6) precise; urgency=low

  * Added init script for osmocom-sgsn. 

 -- Eric Butler <eric@codebutler.com>  Fri, 24 Aug 2012 21:04:32 -0700

openbsc (0.12.0+git26-5) precise; urgency=low

  * Don't enable MNCC sock by default.
  * Automatically create important directories.
  * Fix init script 'stop' command.

 -- Eric Butler <eric@codebutler.com>  Fri, 24 Aug 2012 20:56:33 -0700

openbsc (0.12.0+git26-4) precise; urgency=low

  * Specify HLR path and enable RTP proxy.

 -- Eric Butler <eric@codebutler.com>  Mon, 20 Aug 2012 00:21:07 -0700

openbsc (0.12.0+git26-3) precise; urgency=low

  * Fix init script.

 -- Eric Butler <eric@codebutler.com>  Sun, 19 Aug 2012 16:05:44 -0700

openbsc (0.12.0+git26-2) precise; urgency=low

  * Fix libdbi package dependency.

 -- Eric Butler <eric@codebutler.com>  Wed, 15 Aug 2012 00:35:37 -0700

openbsc (0.12.0+git26-1) precise; urgency=low

  * Fix version issue.

 -- Eric Butler <eric@codebutler.com>  Tue, 14 Aug 2012 21:00:51 -0700

openbsc (0.12.0+git26) precise; urgency=low

  * Updated ubuntu package.

 -- Eric Butler <eric@codebutler.com>  Tue, 14 Aug 2012 17:36:51 -0700

openbsc (0.9.13.115.eb113-1) natty; urgency=low

  * New upstream release

 -- Harald Welte <laforge@gnumonks.org>  Wed, 11 May 2011 18:41:24 +0000

openbsc (0.9.4-1) unstable; urgency=low

  * Initial release

 -- Harald Welte <laforge@gnumonks.org>  Tue, 24 Aug 2010 13:34:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,27 @@
 Source: openbsc
-Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
-Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
-         , Thorsten Alteholz <debian@alteholz.de>
+Maintainer: Harald Welte <laforge@gnumonks.org>
 Section: net
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
+               autotools-dev,
+               autoconf-archive,
                pkg-config,
                libgtp-dev,
-               libosmocore-dev (>= 0.9.0-5),
+               libosmocore-dev,
                libosmo-sccp-dev,
-               libdbi-dev,
+               libdbi0-dev,
+               dh-autoreconf,
                libosmo-abis-dev,
                libosmo-netif-dev,
-               libdbd-sqlite3 (>= 0.9.0-4),
+               libdbd-sqlite3,
                libpcap-dev,
-               libgnutls28-dev,
+               libssl-dev,
                libc-ares-dev,
-               libsmpp34-dev,
-               txt2man
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-mobcom/openbsc.git
-Vcs-Git: https://anonscm.debian.org/git/debian-mobcom/openbsc.git
-Homepage: http://openbsc.osmocom.org/
+               libsmpp34-dev
+Standards-Version: 3.9.8
+Vcs-Git: git://bs11-abis.gnumonks.org/openbsc.git
+Vcs-Browser: http://openbsc.osmocom.org/trac/browser
+Homepage: https://projects.osmocom.org/projects/openbsc
 
 Package: osmocom-bsc
 Architecture: any
@@ -107,5 +107,75 @@
  from OpenBSC. This package installs these files to your file system so
  that the other packages can build-depend on this package.
  .
- The header file is installed to /usr/include/osmocom/openbsc, while
- the .c file is installed to /usr/src/osmocom/openbsc.
+ The directory structure is copied after the structure in the repository
+ and the header and .c file are installed into /usr/src/osmocom/openbsc/.
+
+Package: osmo-gtphub
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Osmocom GTP Hub
+ Proxy for comms between multiple SGSNs and GGSNs.
+
+Package: osmocom-bsc-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: osmocom-bsc (= ${binary:Version}), ${misc:Depends}
+Description: Debug symbols for the OpenBSC BSC
+ Make debugging possible
+
+Package: osmocom-nitb-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: osmocom-nitb (= ${binary:Version}), ${misc:Depends}
+Description: Debug symbols for the OpenBSC NITB
+ Make debugging possible
+
+Package: osmocom-ipaccess-utils-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: osmocom-ipaccess-utils (= ${binary:Version}), ${misc:Depends}
+Description: Debug symbols for the OpenBSC ip.access utils
+ Make debugging possible
+
+Package: osmocom-bs11-utils-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: osmocom-bs11-utils (= ${binary:Version}), ${misc:Depends}
+Description: Debug symbols for the OpenBSC BS11 utils
+ Make debugging possible
+
+Package: osmocom-sgsn-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: osmocom-sgsn (= ${binary:Version}), ${misc:Depends}
+Description: Debug symbols for the OpenBSC Serving GPRS Support Node
+ Make debugging possible
+
+Package: osmocom-gbproxy-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: osmocom-gbproxy (= ${binary:Version}), ${misc:Depends}
+Description: Debug symbols for the OpenBSC GPRS GBProxy
+ Make debugging possible
+
+Package: osmocom-bsc-nat-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: osmocom-bsc-nat (= ${binary:Version}), ${misc:Depends}
+Description: Debug symbols for the OpenBSC Network Address Translation
+ Make debugging possible
+
+Package: osmo-gtphub-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: osmo-gtphub (= ${binary:Version}), ${misc:Depends}
+Description: Debug symbols for Osmocom GTP Hub
+ Make debugging possible

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBIAN  := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)
DEBVERS := $(shell echo '$(DEBIAN)' | cut -d- -f1)
VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/[+-].*//' -e 's/~//g')

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=openbsc --with autoreconf

# This is needed for debian stable (squeeze)
override_dh_autoreconf:
	cd openbsc && autoreconf --install --force

override_dh_strip:
	dh_strip -posmocom-bsc --dbg-package=osmocom-bsc-dbg
	dh_strip -posmocom-nitb --dbg-package=osmocom-nitb-dbg
	dh_strip -posmocom-ipaccess-utils --dbg-package=osmocom-ipaccess-utils-dbg
	dh_strip -posmocom-bs11-utils --dbg-package=osmocom-bs11-utils-dbg
	dh_strip -posmocom-sgsn --dbg-package=osmocom-sgsn-dbg
	dh_strip -posmocom-gbproxy --dbg-package=osmocom-gbproxy-dbg
	dh_strip -posmocom-bsc-nat --dbg-package=osmocom-bsc-nat-dbg
	dh_strip -posmo-gtphub --dbg-package=osmo-gtphub-dbg

override_dh_auto_configure:
	echo $(VERSION) > openbsc/.tarball-version
	dh_auto_configure --sourcedirectory=openbsc -- --enable-nat --enable-osmo-bsc --enable-smpp

## openbsc 1.0.0

=== debian/changelog ===
openbsc (1.0.0-2ubuntu1) cosmic; urgency=medium

  * Build with -O2 on ppc64el, working around a ftbfs. See #898109.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 May 2018 13:49:11 -0400

openbsc (1.0.0-2build2) cosmic; urgency=medium

  * No-change rebuild for osmo soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 May 2018 09:22:10 +0000

openbsc (1.0.0-2build1) cosmic; urgency=medium

  * No-change rebuild for osmo soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 May 2018 09:48:21 +0200

openbsc (1.0.0-2) unstable; urgency=medium

  * debian/rules: remove arch specific commands (Closes: #896193)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 15 Apr 2018 22:01:12 +0200

openbsc (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: use dh11
  * debian/control: bump standard to 4.1.4 (no changes)
  * debian/control: add Salsa VCS URLs
  * debian/control: no longer build osmocom-sgsn
  * debian/control: no longer build osmocom-gbproxy
  * debian/rules: deactivate tests for now
  * temporarily add dependency for libosmosccp0 and libosmoxua0

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 15 Apr 2018 14:01:12 +0200

=== debian/control ===
Source: openbsc
Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
         , Thorsten Alteholz <debian@alteholz.de>
Section: net
Priority: optional
Build-Depends: debhelper (>= 11)
	, pkg-config
	, libgtp-dev
	, libosmocore-dev (>= 0.10.2)
	, libosmo-sccp-dev (>= 0.8.1)
	, libdbi-dev
	, libosmo-abis-dev (>= 0.4.0)
	, libosmo-netif-dev (>= 0.1.1)
	, libdbd-sqlite3 (>= 0.9.0-4)
	, libpcap-dev
	, libssl-dev
	, libc-ares-dev
	, libsmpp34-dev (>=1.12.0)
	, txt2man
	, libgnutls28-dev
	, libosmoxua0
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/openbsc
Vcs-Git: https://salsa.debian.org/debian-mobcom-team/openbsc.git
Homepage: http://openbsc.osmocom.org/

Package: osmocom-bsc
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GSM Base Station Controller
 This is the BSC-only version of OpenBSC. It requires a Mobile Switching Center
 (MSC) to operate.
 .
 You might rather prefer to use osmocom-nitb which is considered a
 "GSM Network-in-a-Box" and does not depend on a MSC.

Package: osmocom-nitb
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libdbd-sqlite3
Description: GSM Network-in-a-Box, implements BSC, MSC, SMSC, HLR, VLR
 This is the Network-in-a-Box version of OpenBSC. It has all the GSM network
 components bundled together. When using osmocom-nitb, there is no need for a
 Mobile Switching Center (MSC) which is needed when using osmocom-bsc.

Package: osmocom-ipaccess-utils
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Command line utilities for ip.access nanoBTS
 This package contains utilities that are specific for nanoBTS when being used
 together with OpenBSC. It contains mainly three tools: ipaccess-find,
 ipaccess-config and ipaccess-proxy.

Package: osmocom-bs11-utils
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Command line utilities for Siemens BS-11 BTS
 There is a tool in this package for configuring the Siemens BS-11 BTS.
 Additionally, it contains one tool for making use of an ISDN-card and the
 public telephone network as frequency standard for the E1 line.

# package no longer needed here
#Package: osmocom-sgsn
#Architecture: any
#Depends: ${shlibs:Depends},
#         ${misc:Depends}
#Suggests: osmocom-bsc
#Description: Osmocom Serving GPRS Support Node
# This is an implementation of the GPRS Serving GPRS Support Node (SGSN). As
# such it implements the GPRS Mobility Management (GMM) and SM (Session
# Management).
# .
# The SGSN connects via the Gb-interface to the BSS (like the osmo-pcu or an
# ip.access nanoBTS), and it connects via the GTP protocol to a Gateway GPRS
# Support Node (GGSN) like openggsn.

# package no longer needed here
#Package: osmocom-gbproxy
#Architecture: any
#Depends: ${shlibs:Depends},
#         ${misc:Depends}
#Recommends: osmocom-sgsn
#Description: Osmocom GPRS Gb Interface Proxy
# The purpose of the Gb proxy is to aggregate the Gb links of multiple
# BSS's and present them in one Gb link to the SGSN.
# .
# This package is part of OpenBSC and closely related to osmocom-sgsn.

Package: osmocom-bsc-nat
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: osmocom-bsc
Description: Osmocom Base Station Controller Network Address Translation
 This NAT is useful for masquerading multiple BSCs behind one. It listens
 for incoming BSCs on port 5000 and connects to a specified Mobile Switching
 Center (MSC).
 .
 This package is part of OpenBSC and closely related to osmocom-bsc.

Package: openbsc-dev
Architecture: all
Depends: ${misc:Depends}
Description: Header file needed by tools tightly integrated
 Some other programs depend on gsm_data_shared.h and gsm_data_shared.c
 from OpenBSC. This package installs these files to your file system so
 that the other packages can build-depend on this package.
 .
 The header file is installed to /usr/include/osmocom/openbsc, while
 the .c file is installed to /usr/src/osmocom/openbsc.

## openbsc 1.1.0

=== debian/changelog ===
openbsc (1.1.0-2ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with -O2 on ppc64el, working around a ftbfs.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 13 Nov 2018 08:19:33 -0800

openbsc (1.1.0-2) unstable; urgency=low

  * Upload to unstable
  * debian/control:
    - Build-Depends: libgtp-dev (>= 1.2.2)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 05 Nov 2018 22:31:01 +0100

openbsc (1.1.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: use libosmocore >= 0.11.0 now
  * debian/control: use libosmo-abis >= 0.5.0 now
  * debian/control: use libosmo-netif >= 0.2.0 now
  * debian/control: use libsmpp34 >= 1.13.0 now

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 22 Jun 2018 19:27:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: openbsc
-Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
          , Thorsten Alteholz <debian@alteholz.de>
 Section: net
 Priority: optional
 Build-Depends: debhelper (>= 11)
 	, pkg-config
-	, libgtp-dev
-	, libosmocore-dev (>= 0.10.2)
-	, libosmo-sccp-dev (>= 0.8.1)
+	, libgtp-dev (>= 1.2.2)
+	, libosmocore-dev (>= 0.11.0)
+	, libosmo-sccp-dev (>= 0.9.0)
 	, libdbi-dev
-	, libosmo-abis-dev (>= 0.4.0)
-	, libosmo-netif-dev (>= 0.1.1)
+	, libosmo-abis-dev (>= 0.5.0)
+	, libosmo-netif-dev (>= 0.2.0)
 	, libdbd-sqlite3 (>= 0.9.0-4)
 	, libpcap-dev
-	, libssl-dev
 	, libc-ares-dev
-	, libsmpp34-dev (>=1.12.0)
+	, libsmpp34-dev (>=1.13.0)
 	, txt2man
-	, libgnutls28-dev
 	, libosmoxua0
 Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/openbsc

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

#DEBIAN  := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)
#DEBVERS := $(shell echo '$(DEBIAN)' | cut -d- -f1)
#VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/[+-].*//' -e 's/~//g')

CHANGELOG_DATE ?= $(shell LC_ALL=C date -u -d "`dpkg-parsechangelog --show-field Date`" +"%d %B %Y")

export DEB_CFLAGS_MAINT_STRIP = -O2 -O3
export DEB_CFLAGS_MAINT_APPEND = -O2

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=openbsc --with autoreconf

override_dh_auto_configure:
	dh_auto_configure --sourcedirectory=openbsc -- --enable-nat --enable-osmo-bsc --enable-smpp

override_dh_clean:
	$(RM) openbsc/.version openbsc/tests/package.m4 openbsc/tests/testsuite
	dh_clean
	$(RM) debian/man/*.1

override_dh_installman:
	cd debian/man ; CHANGELOG_DATE="$(CHANGELOG_DATE)" ./genmanpages.sh
	dh_installman

# Print test results in case of a failure
override_dh_auto_test:
	#TODO: temporarily deactivate: dh_auto_test || (find . -name testsuite.log -exec cat {} \; ; false)
	echo "test deactivated"

## openbsc 1.3.2

=== debian/changelog ===
openbsc (1.3.2) unstable; urgency=medium

  [ Harald Welte ]
  * manual: Fix copy+paste error

  [ Oliver Smith ]
  * osmoappdesc.py, tests, ipa.py: switch to python 3

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Fri, 03 Jan 2020 19:12:23 +0100

openbsc (1.3.1) unstable; urgency=medium

  [ Daniel Willmann ]
  * manuals: Update osmonitb counter/vty documentation
  * manuals: Generate vty/counter documentation for osmo-bscnat

  [ Pau Espin Pedrol ]
  * nat: Remove unused func bsc_vty_init()
  * Remove undefined param passed to {logging,osmo_stats}_vty_add_cmds
  * debian/control: Match dependency versions against configure.ac

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Thu, 08 Aug 2019 17:32:51 +0200

openbsc (1.3.0) unstable; urgency=medium

  [ Keith ]
  * Don't deliver alert notifications to an ESME that is not yet bound.
  * Write configuration correctly from vty (alert notifications)
  * tests: Mute stdout during db_prepare()

  [ Pau Espin Pedrol ]
  * osmo-bsc-mgcp.service: Fix parsing of cmdline option s
  * talloc_ctx_init: Use public API osmo_signal_talloc_ctx_init
  * Replace broken ipa_ccm_idtag APIs with new ipa_ccm_id ones
  * vty_test_runner: Handle MGCP message recv len dynamically
  * nat: Return error code in queue_for_msc
  * tests: Fix selection of python version
  * nat: Fix crash (double-free) in forward_sccp_to_msc
  * nat: Allocate bsc_nat_parsed on the stack instead of heap
  * mgcp: Handle CI and X-Osmux param name as case insensitive
  * bsc-nat: Remove whitespace at the end of CTR descriptions

  [ Max ]
  * Drop openggsn from build dependencies
  * Drop Iu*S support and related dependencies

  [ Rafael Diniz ]
  * Fixed MNCC_RTP_CREATE after MNCC_DISC_IND.

  [ Daniel Willmann ]
  * osmo-bsc_nat: Parse MGCP Connection ID as hex
  * libmgcp: Parse CI as hex string in verify_ci()
  * manuals: Add script to regenerate counter/vty documentation

  [ Oliver Smith ]
  * contrib/jenkins.sh: run "make maintainer-clean"

 -- Harald Welte <laforge@gnumonks.org>  Sun, 14 Jul 2019 08:42:36 +0800

openbsc (1.2.0) unstable; urgency=medium

  [ Pau Espin Pedrol ]
  * acc_ramp: Increase log level of some messages
  * bsc_nat.c: Return correct err code to avoid heap-user-after-free
  * chan_alloc: Print bts nr on chan alloc failure
  * abis_rsl: rsl_rx_chan_rqd: Format bts log string as in everywhere else
  * gitignore: Filter m4 files
  * bsc-nat: Avoid sending reset ack twice in a row
  * bsc-nat: bsc_nat_filter_ipa: Improve documentation
  * bsc-nat: forward_sccp_to_msc: Remove unneeded goto
  * bsc-nat: forward_sccp_to_msc: Remove unneeded exit3 section
  * bsc-nat: forward_sccp_to_msc: Fix memleak on receive from non authenticated bsc
  * bsc-nat: ipaccess_auth_bsc: Close bsc conn immediately on bad format received
  * bsc-nat: Avoid heap-use-after-free on bsc auth failure
  * chan_alloc: Fix crash when failing to allocate channel
  * gsm0408_dispatch: Fix uninitialized var warning
  * bsc-nat: Fix missing help description for -T timestamp cmdline option
  * bsc-nat: Add -V param to print version
  * bsc-sccplite: Add -V param to print version
  * bsc-nat: show running-config now prints bsc nodes
  * bsc-nat: Avoid heap-use-after-free on USSD conn lost
  * configure.ac: Add --enable-sanitize flag
  * bsc-nat: Replace '.' in counter names with ':'
  * bsc-nat: Allocate each ctr group with a different idx
  * bsc-nat: Add more complete VTY command to show BSC related info
  * Init access_lists before passing it as a parameter
  * Rename bsc_msg_acc_lst_vty_init to have more uniform prefix
  * bsc_vty: Write access list entries when storing bsc config
  * filter: vty: Print policy list in cmd show access-list
  * bsc-nat: find_paging: Check return code of tlv_parse
  * bsc-nat: forward paging to all BSC when CELL_IDENT_BSS is received
  * nat: Add VTY cmd paging-bss-forward to nat node
  * nat: ctrl: Use ctrl_cmd_parse2 to obtain detailed error
  * bsc: ctrl: Use ctrl_cmd_parse2 to obtain detailed error
  * nat: ctrl: use strtol instead of atoi as it has explicit error documentation
  * nat: ctrl: Avoid sending back received ERROR msgs
  * bsc: ctrl: Avoid sending back received ERROR msgs
  * vty: Fix typo writing bts-jitter-buffer-delay-{min,max}
  * examples: osmo-bsc_mgcp: Update cfg file
  * mgcp_test: tweak test failure output
  * osmo-bsc-mgcp: Add debian package
  * configure: Find correct libgsm's gsm.h header
  * gsm_data.h: Replace '.' in counter names with ':'
  * abis_nm_ipaccess_rsl_connect: Log bts and trx nr
  * Fix heap-use-after-free due to OML link destruction
  * Add osmo-bsc-nat systemd service and install it with debian
  * debian: Install all service files from contrib/systemd
  * systemd: describe osmo-bsc-sccplite service as legacy
  * mgcp_osmux.c: osmux_enable_endpoint: Fix incorrect return check
  * Install systemd services with autotools
  * Install sample cfg file to /etc/osmocom
  * cosmetic: Remove duplicate semicolon and whitespace
  * nat: Remove misleading comment
  * nat: Remove misleading comment
  * nat: return -EBADF in read wqueue cb on fd closed
  * debian/rules: Don't overwrite .tarball-version
  * mgcp: Fix osmux_cid_bitmap static array size calculation
  * bsc_filter: Move whitelisted info log to debug
  * mgcp: Fix (again) osmux_cid_bitmap static array size calculation
  * mgcp_osmux: Use define to calculate rtp_ssrc_winlen
  * examples: nanobts: openbsc-multitrx.cfg: Set SDCCH in correct TS of TRX1
  * mgcp: Avoid initing output without enabling osmux
  * mgcp: Log endpoint nr consistently as hex
  * nat: Log endpoint nr consistently as hex
  * nat: Log state of pending transaction
  * mgcp: osmux_send_dummy: Avoid logging incorrectly and sending if osmux not enabled
  * mgcp: osmux: Don't process regular osmux frames if disabled by cfg
  * mgcp: osmux: Move parse_cid of legacy dummy frames to own function
  * mgcp: osmux: Make func handling dummy frames independent of endp type


=== debian/control ===
Source: openbsc
Maintainer: Harald Welte <laforge@gnumonks.org>
Section: net
Priority: optional
Build-Depends: debhelper (>= 9),
               autotools-dev,
               autoconf-archive,
               pkg-config,
               libdbi0-dev,
               dh-autoreconf,
               dh-systemd (>= 1.5),
               libsmpp34-dev (>= 1.13.0),
               libosmocore-dev (>= 1.0.1),
               libosmo-abis-dev (>= 0.6.0),
               libosmo-netif-dev (>= 0.4.0),
               libosmo-sccp-dev (>= 1.0.0),
               libdbd-sqlite3,
               libpcap-dev
Standards-Version: 3.9.8
Vcs-Git: git://bs11-abis.gnumonks.org/openbsc.git
Vcs-Browser: http://openbsc.osmocom.org/trac/browser
Homepage: https://projects.osmocom.org/projects/openbsc

Package: osmocom-bsc-sccplite
Architecture: any
Depends: osmocom-latest, ${shlibs:Depends},
         ${misc:Depends}
Description: GSM Base Station Controller
 This is the BSC-only version of OpenBSC. It requires a Mobile Switching Center
 (MSC) to operate.
 .
 You might rather prefer to use osmocom-nitb which is considered a
 "GSM Network-in-a-Box" and does not depend on a MSC.

Package: osmocom-nitb
Architecture: any
Depends: osmocom-latest, ${shlibs:Depends},
         ${misc:Depends},
         libdbd-sqlite3
Description: GSM Network-in-a-Box, implements BSC, MSC, SMSC, HLR, VLR
 This is the Network-in-a-Box version of OpenBSC. It has all the GSM network
 components bundled together. When using osmocom-nitb, there is no need for a
 Mobile Switching Center (MSC) which is needed when using osmocom-bsc-sccplite.

Package: osmocom-bs11-utils
Architecture: any
Depends: osmocom-latest, ${shlibs:Depends},
         ${misc:Depends}
Description: Command line utilities for Siemens BS-11 BTS
 There is a tool in this package for configuring the Siemens BS-11 BTS.
 Additionally, it contains one tool for making use of an ISDN-card and the
 public telephone network as frequency standard for the E1 line.

Package: osmocom-bsc-nat
Architecture: any
Depends: osmocom-latest, ${shlibs:Depends},
         ${misc:Depends}
Recommends: osmocom-bsc-sccplite
Description: Osmocom Base Station Controller Network Address Translation
 This NAT is useful for masquerading multiple BSCs behind one. It listens
 for incoming BSCs on port 5000 and connects to a specified Mobile Switching
 Center (MSC).
 .
 This package is part of OpenBSC and closely related to osmocom-bsc-sccplite.

Package: osmo-bsc-mgcp
Architecture: any
Depends: osmocom-latest, ${shlibs:Depends},
         ${misc:Depends}
Description: OsmoBSC-MGCP: Osmocom's Legacy Media Gateway.

Package: osmocom-bsc-sccplite-dbg
Architecture: any
Section: debug
Priority: extra
Depends: osmocom-latest, osmocom-bsc-sccplite (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for the OpenBSC BSC
 Make debugging possible

Package: osmocom-nitb-dbg
Architecture: any
Section: debug
Priority: extra
Depends: osmocom-latest, osmocom-nitb (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for the OpenBSC NITB
 Make debugging possible

Package: osmocom-bs11-utils-dbg
Architecture: any
Section: debug
Priority: extra
Depends: osmocom-latest, osmocom-bs11-utils (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for the OpenBSC BS11 utils
 Make debugging possible

Package: osmocom-bsc-nat-dbg
Architecture: any
Section: debug
Priority: extra
Depends: osmocom-latest, osmocom-bsc-nat (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for the OpenBSC Network Address Translation
 Make debugging possible

Package: osmo-bsc-mgcp-dbg
Architecture: any
Section: debug
Priority: extra
Depends: osmocom-latest, ${misc:Depends}, ${shlibs:Depends}
Description: Debug symbols for the  Osmocom's Legacy Media Gateway.

## openbsc 1.3.2+dfsg1

=== debian/changelog ===
openbsc (1.3.2+dfsg1-2ubuntu2) hirsute; urgency=medium

  * Don't build with -Werror=null-dereference. Fails with -O3 on ppc64el,
    and with -O2 on s390x (more agressive inlining and loop unrolling).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Dec 2020 12:47:31 +0100

openbsc (1.3.2+dfsg1-2) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 12 Dec 2020 17:00:34 +0100

openbsc (1.3.2+dfsg1-1) experimental; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 19 Aug 2020 23:00:34 +0000

openbsc (1.1.0-3) unstable; urgency=low

  * add patch for gcc10 (Closes: #957634)
    Thanks to Harald Welte for the patch
  * debian/control: bump standard to 4.5.0 (no changes)
  * debian/control: use dh12

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 05 Aug 2020 20:51:19 +0200

## openbsc 1.3.2.20200205

=== debian/changelog ===
openbsc (1.3.2.20200205) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Wed, 05 Feb 2020 02:06:01 +0000

## openbsc 1.3.2.20200206

=== debian/changelog ===
openbsc (1.3.2.20200206) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Thu, 06 Feb 2020 01:59:36 +0000

## openbsc 1.3.2.20200209

=== debian/changelog ===
openbsc (1.3.2.20200209) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Sun, 09 Feb 2020 01:29:29 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 Package: osmocom-bsc-sccplite
 Architecture: any
-Depends: osmocom-latest, ${shlibs:Depends},
+Depends: osmocom-nightly, ${shlibs:Depends},
          ${misc:Depends}
 Description: GSM Base Station Controller
  This is the BSC-only version of OpenBSC. It requires a Mobile Switching Center
@@ -34,7 +34,7 @@
 
 Package: osmocom-nitb
 Architecture: any
-Depends: osmocom-latest, ${shlibs:Depends},
+Depends: osmocom-nightly, ${shlibs:Depends},
          ${misc:Depends},
          libdbd-sqlite3
 Description: GSM Network-in-a-Box, implements BSC, MSC, SMSC, HLR, VLR
@@ -44,7 +44,7 @@
 
 Package: osmocom-bs11-utils
 Architecture: any
-Depends: osmocom-latest, ${shlibs:Depends},
+Depends: osmocom-nightly, ${shlibs:Depends},
          ${misc:Depends}
 Description: Command line utilities for Siemens BS-11 BTS
  There is a tool in this package for configuring the Siemens BS-11 BTS.
@@ -53,7 +53,7 @@
 
 Package: osmocom-bsc-nat
 Architecture: any
-Depends: osmocom-latest, ${shlibs:Depends},
+Depends: osmocom-nightly, ${shlibs:Depends},
          ${misc:Depends}
 Recommends: osmocom-bsc-sccplite
 Description: Osmocom Base Station Controller Network Address Translation
@@ -65,7 +65,7 @@
 
 Package: osmo-bsc-mgcp
 Architecture: any
-Depends: osmocom-latest, ${shlibs:Depends},
+Depends: osmocom-nightly, ${shlibs:Depends},
          ${misc:Depends}
 Description: OsmoBSC-MGCP: Osmocom's Legacy Media Gateway.
 
@@ -73,7 +73,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-latest, osmocom-bsc-sccplite (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly, osmocom-bsc-sccplite (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the OpenBSC BSC
  Make debugging possible
 
@@ -81,7 +81,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-latest, osmocom-nitb (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly, osmocom-nitb (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the OpenBSC NITB
  Make debugging possible
 
@@ -89,7 +89,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-latest, osmocom-bs11-utils (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly, osmocom-bs11-utils (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the OpenBSC BS11 utils
  Make debugging possible
 
@@ -97,7 +97,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-latest, osmocom-bsc-nat (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly, osmocom-bsc-nat (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the OpenBSC Network Address Translation
  Make debugging possible
 
@@ -105,5 +105,5 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-latest, ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly, ${misc:Depends}, ${shlibs:Depends}
 Description: Debug symbols for the  Osmocom's Legacy Media Gateway.

## openbsc 1.3.2.20200211

=== debian/changelog ===
openbsc (1.3.2.20200211) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 11 Feb 2020 01:29:24 +0000

## openbsc 1.3.2.20200227

=== debian/changelog ===
openbsc (1.3.2.20200227) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Thu, 27 Feb 2020 01:28:42 +0000

## openbsc 1.4.0%2Bdfsg1

=== debian/changelog ===
openbsc (1.4.0+dfsg1-1ubuntu2) jammy; urgency=medium

  * No-change rebuild against libosmocore16.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 22 Mar 2022 08:55:36 +0000

openbsc (1.4.0+dfsg1-1ubuntu1) impish; urgency=medium

  * Restore doko's patch from 1.3.2+dfsg1-2ubuntu2 to not build with
    -Werror=null-dereference, as it is still necessary with the new upstream
    release.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 09 May 2021 21:57:36 -0400

openbsc (1.4.0+dfsg1-1) unstable; urgency=medium

  * New upstream release (Closes: #898109)
  * remove gcc10.patch (applied upstream)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 06 Jan 2021 19:54:13 +0000

## openbsc 1.4.0+dfsg1

=== openbsc/contrib/testconv/Makefile ===

OBJS = testconv_main.o

CC = gcc
CFLAGS = -O0 -ggdb -Wall
LDFLAGS =
CPPFLAGS = -I../.. -I../../include $(shell pkg-config --cflags libosmocore) $(shell pkg-config --cflags libbcg729)
LIBS =  ../../src/libmgcp/libmgcp.a ../../src/libcommon/libcommon.a $(shell pkg-config --libs libosmocore) $(shell pkg-config --libs libbcg729) -lgsm -lrt

testconv: $(OBJS)
	$(CC)  -o $@ $^ $(LDFLAGS) $(LIBS)

testconv_main.o: testconv_main.c

$(OBJS):
	$(CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $<

=== debian/control ===
Source: openbsc
Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
         , Thorsten Alteholz <debian@alteholz.de>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 12)
	, pkg-config
	, libgtp-dev (>= 1.2.2)
	, libosmocore-dev (>= 1.4.0)
	, libosmo-sccp-dev (>= 1.3.0)
	, libdbi-dev
	, libosmo-abis-dev (>= 1.0.1)
	, libosmo-netif-dev (>= 1.0.0)
	, libdbd-sqlite3 (>= 0.9.0-4)
	, libpcap-dev
	, libc-ares-dev
	, libsmpp34-dev (>=1.13.0)
	, txt2man
	, libosmoxua0
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/openbsc
Vcs-Git: https://salsa.debian.org/debian-mobcom-team/openbsc.git
Homepage: http://openbsc.osmocom.org/

Package: osmocom-bsc
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GSM Base Station Controller
 This is the BSC-only version of OpenBSC. It requires a Mobile Switching Center
 (MSC) to operate.
 .
 You might rather prefer to use osmocom-nitb which is considered a
 "GSM Network-in-a-Box" and does not depend on a MSC.

Package: osmocom-nitb
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libdbd-sqlite3
Description: GSM Network-in-a-Box, implements BSC, MSC, SMSC, HLR, VLR
 This is the Network-in-a-Box version of OpenBSC. It has all the GSM network
 components bundled together. When using osmocom-nitb, there is no need for a
 Mobile Switching Center (MSC) which is needed when using osmocom-bsc.

#Package: osmocom-ipaccess-utils
#Architecture: any
#Depends: ${shlibs:Depends},
#         ${misc:Depends}
#Description: Command line utilities for ip.access nanoBTS
# This package contains utilities that are specific for nanoBTS when being used
# together with OpenBSC. It contains mainly three tools: ipaccess-find,
# ipaccess-config and ipaccess-proxy.

Package: osmocom-bs11-utils
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Command line utilities for Siemens BS-11 BTS
 There is a tool in this package for configuring the Siemens BS-11 BTS.
 Additionally, it contains one tool for making use of an ISDN-card and the
 public telephone network as frequency standard for the E1 line.

# package no longer needed here
#Package: osmocom-sgsn
#Architecture: any
#Depends: ${shlibs:Depends},
#         ${misc:Depends}
#Suggests: osmocom-bsc
#Description: Osmocom Serving GPRS Support Node
# This is an implementation of the GPRS Serving GPRS Support Node (SGSN). As
# such it implements the GPRS Mobility Management (GMM) and SM (Session
# Management).
# .
# The SGSN connects via the Gb-interface to the BSS (like the osmo-pcu or an
# ip.access nanoBTS), and it connects via the GTP protocol to a Gateway GPRS
# Support Node (GGSN) like openggsn.

# package no longer needed here
#Package: osmocom-gbproxy
#Architecture: any
#Depends: ${shlibs:Depends},
#         ${misc:Depends}
#Recommends: osmocom-sgsn
#Description: Osmocom GPRS Gb Interface Proxy
# The purpose of the Gb proxy is to aggregate the Gb links of multiple
# BSS's and present them in one Gb link to the SGSN.
# .
# This package is part of OpenBSC and closely related to osmocom-sgsn.

Package: osmocom-bsc-nat
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: osmocom-bsc
Description: Osmocom Base Station Controller Network Address Translation
 This NAT is useful for masquerading multiple BSCs behind one. It listens
 for incoming BSCs on port 5000 and connects to a specified Mobile Switching
 Center (MSC).
 .
 This package is part of OpenBSC and closely related to osmocom-bsc.

Package: openbsc-dev
Architecture: all
Depends: ${misc:Depends}
Description: Header file needed by tools tightly integrated
 Some other programs depend on gsm_data_shared.h and gsm_data_shared.c
 from OpenBSC. This package installs these files to your file system so
 that the other packages can build-depend on this package.
 .
 The header file is installed to /usr/include/osmocom/openbsc, while
 the .c file is installed to /usr/src/osmocom/openbsc.

=== debian/watch ===
version=4
opts="mode=git, dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//, repacksuffix=+dfsg1" git://git.osmocom.org/openbsc refs/tags/([\d\.]+) debian uupdate

## openbsc 1.4.1+dfsg1

=== debian/changelog ===
openbsc (1.4.1+dfsg1-2ubuntu2) kinetic; urgency=medium

  * Fix build failure with installed systemd (See e.g. Debian bug: #1010578)
  * Restore doko's patch to not build with -Werror=null-dereference,
    as it is still necessary with the new upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 May 2022 10:37:35 +0200

openbsc (1.4.1+dfsg1-2) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 17 Mar 2022 17:51:42 +0100

openbsc (1.4.1+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.6.0 (no changes)
  * debian/control: use dh13
  * debian/control: use at least libosmocore 1.5.0

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 09 Mar 2022 22:51:42 +0000

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,21 @@
          , Thorsten Alteholz <debian@alteholz.de>
 Section: net
 Priority: optional
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 	, pkg-config
 	, libgtp-dev (>= 1.2.2)
-	, libosmocore-dev (>= 1.4.0)
+	, libosmocore-dev (>= 1.5.0)
 	, libosmo-sccp-dev (>= 1.3.0)
 	, libdbi-dev
 	, libosmo-abis-dev (>= 1.0.1)
-	, libosmo-netif-dev (>= 1.0.0)
+	, libosmo-netif-dev (>= 1.1.0)
 	, libdbd-sqlite3 (>= 0.9.0-4)
 	, libpcap-dev
 	, libc-ares-dev
 	, libsmpp34-dev (>=1.13.0)
 	, txt2man
 	, libosmoxua0
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/openbsc
 Vcs-Git: https://salsa.debian.org/debian-mobcom-team/openbsc.git
 Homepage: http://openbsc.osmocom.org/

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,6 @@
 
 CHANGELOG_DATE ?= $(shell LC_ALL=C date -u -d "`dpkg-parsechangelog --show-field Date`" +"%d %B %Y")
 
-export DEB_CFLAGS_MAINT_STRIP = -O2 -O3
-export DEB_CFLAGS_MAINT_APPEND = -O2
-
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -19,7 +16,7 @@
 	dh $@ --sourcedirectory=openbsc --with autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure --sourcedirectory=openbsc -- --enable-nat --enable-osmo-bsc --enable-smpp
+	dh_auto_configure --sourcedirectory=openbsc -- --enable-nat --enable-osmo-bsc --enable-smpp --with-systemdsystemunitdir=no
 
 override_dh_clean:
 	$(RM) openbsc/.version openbsc/tests/package.m4 openbsc/tests/testsuite
